# parrot 🦜

**parrot** stands for **P**rocessing **A**ll **R**apidly & **R**eliably **O**btained **T**Hz-traces.

parrot is a Python package to load, process, and plot continuously recorded THz data (along with delay line position
data), obtained with electro-optic sampling (EOS), photoconductive antenna (PCA) receivers or similar
techniques.

The documentation of parrot can be found [here](https://timvog.github.io/parrot/).

***

## How to install

If you have Python/pip installed, just enter:

```python
pip install superparrot
```

and it should install correctly. (The name `parrot` was unfortunately already taken on pypi.org, hence the different
name for `pip install superparrot`. However, after installation you can import it as `parrot`.)

***

## How to use

Go to [GitHub](https://github.com/TimVog/parrot/) and look at the files placed in the root directory. If you have
Anaconda (or Python + Jupyter notebook) installed, try the `Example.ipynb` notebook in the root directory.
If you prefer classic Python, check out `Example_compact.py` in the root directory. The distribution comes with some
example data that allows you to see the capabilities of parrot.

***

## Further information

Check out the documentation [here](https://timvog.github.io/parrot/).

***

## I have a problem / I have an idea / I found a bug

Please open an issue on [GitHub](https://github.com/TimVog/parrot/issues).